<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGoodsItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('goods_items', function (Blueprint $table) {
            $table->id();
            $table->integer('item_id')->index();
            $table->timestamps();
            $table->string('brand')->default('')->comment('品牌');
            $table->string('color_name')->default('')->comment('颜色');
            $table->string('sell_point')->default('')->comment('卖点');
            $table->string('specifications')->comment('规格');
            $table->string('shop_url')->comment('链接');
            $table->string('product_images')->default('')->comment('商品主图');
            $table->string('images')->default('')->comment('主图列表');
            $table->string('product_infos')->default('')->comment('图文信息');
            $table->string('app_introduce')->default('')->comment('app信息');
            $table->string('applet_introduce')->default('详情图片地址');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('goods_items');
    }
}
